Closed Bug 934857 Opened 7 years ago Closed 5 years ago

TXU Energy website sends Firefox for Android a file with a WAP mime type

Categories

(Web Compatibility :: Mobile, defect)

All
Android
defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: kbrosnan, Assigned: karlcow)

References

()

Details

(Whiteboard: [serversniff] [country-us] [sitewait])

Going to http://www.txu.com results in a file download. This happens because they redirect to a mobile site which sends a file with the application/vnd.wap.xhtml+xml mime type.
Following the redirection until the last 200 OK
A summary to show the complexity of detection, details below.

Browser      OS       domain        final page                   Content-Type
----------------------------------------------------------------------------------------------
Firefox      Android  m.txu.com     mobile-android-interstitial  application/vnd.wap.xhtml+xml
Firefox      OS       m.txu.com     (home)                       application/vnd.wap.xhtml+xml
Opera Mobile Android  m.txu.com     mobile-android-interstitial  text/html
Opera Mini   Android  m.txu.com     mobile-android-interstitial  application/vnd.wap.xhtml+xml
Safari       iOS      m.txu.com     mobile-interstitial          text/html
Foobar       _        www.tux.com   (home)                       text/html
----------------------------------------------------------------------------------------------


==========================================================================================================
# Firefox for Android
(redirected to the mobile site with a WAP mime type and an interstitial for Android)

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.txu.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 302 Found
Cache-Control: private
Content-Length: 134
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:18:17 GMT
Location: http://m.txu.com/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:43:17 GMT; path=/
Set-Cookie: TLTSID=7C9E8C284687A2ABD01F71B932EB882A; Path=/; Domain=.txu.com
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:43:17 GMT; path=/
Set-Cookie: TLTSID=7C9E8C284687A2ABD01F71B932EB882A; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:18:17 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET

then

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 302 Found
Cache-Control: no-cache
Content-Length: 168
Content-Type: application/vnd.wap.xhtml+xml; charset=utf-8
Date: Tue, 05 Nov 2013 15:18:44 GMT
Expires: -1
Location: /en/messages/mobile-android-interstitial.aspx
Pragma: no-cache
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:18:44 GMT; path=/
Set-Cookie: ASP.NET_SessionId=2f0xvifudv3g3tu02s4u3bfm; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=ABBBADE64173B304EB161492FFB1D3A6; Path=/; Domain=.txu.com
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:18:44 GMT; path=/
Set-Cookie: ASP.NET_SessionId=2f0xvifudv3g3tu02s4u3bfm; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=ABBBADE64173B304EB161492FFB1D3A6; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:18:44 AM; domain=.txu.com; path=/
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET

and then

GET /en/messages/mobile-android-interstitial.aspx HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 200 OK
Cache-Control: no-cache, no-store
Content-Length: 6754
Content-Type: application/vnd.wap.xhtml+xml; charset=utf-8
Date: Tue, 05 Nov 2013 15:19:33 GMT
Expires: -1
Pragma: no-cache
Set-Cookie: mobileweb#lang=en; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:19:33 GMT; path=/
Set-Cookie: ASP.NET_SessionId=mnbuvv55z1f3as45wrkfyr45; domain=.txu.com; path=/; HttpOnly
Set-Cookie: iPhone App Notify=; domain=.txu.com; expires=Tue, 05-Nov-2013 15:39:33 GMT; path=/
Set-Cookie: TLTSID=B1650E1C4FB1DABC5545FFBC4642EAC4; Path=/; Domain=.txu.com
Set-Cookie: mobileweb#lang=en; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:19:33 GMT; path=/
Set-Cookie: ASP.NET_SessionId=mnbuvv55z1f3as45wrkfyr45; domain=.txu.com; path=/; HttpOnly
Set-Cookie: iPhone App Notify=; domain=.txu.com; expires=Tue, 05-Nov-2013 15:39:33 GMT; path=/
Set-Cookie: TLTSID=B1650E1C4FB1DABC5545FFBC4642EAC4; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:19:33 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET
==========================================================================================================

# Firefox OS
(directly redirected to the WAP)

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.txu.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 302 Found
Cache-Control: private
Content-Length: 134
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:21:16 GMT
Location: http://m.txu.com/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:46:16 GMT; path=/
Set-Cookie: TLTSID=829951794C4841AB69A582A8843A311C; Path=/; Domain=.txu.com
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:46:16 GMT; path=/
Set-Cookie: TLTSID=829951794C4841AB69A582A8843A311C; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:21:16 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET



And then


GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 200 OK
Cache-Control: no-cache, no-store
Content-Length: 9165
Content-Type: application/vnd.wap.xhtml+xml; charset=utf-8
Date: Tue, 05 Nov 2013 15:21:24 GMT
Expires: -1
Pragma: no-cache
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:21:25 GMT; path=/
Set-Cookie: ASP.NET_SessionId=vtqxmx3j4qsrjr45l4xmodn1; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=F88ABB68405CF13173E222A300FEAB08; Path=/; Domain=.txu.com
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:21:25 GMT; path=/
Set-Cookie: ASP.NET_SessionId=vtqxmx3j4qsrjr45l4xmodn1; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=F88ABB68405CF13173E222A300FEAB08; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:21:25 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET
==========================================================================================================

# iOS
(redirected to mobile site with interstitial and text/html mime type)

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.txu.com
User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 5_0 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A334 Safari/7534.48.3

HTTP/1.1 302 Found
Cache-Control: private
Content-Length: 134
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:28:09 GMT
Location: http://m.txu.com/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:53:10 GMT; path=/
Set-Cookie: TLTSID=C40213474CD29F4B63FB709362EB8CEF; Path=/; Domain=.txu.com
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:53:10 GMT; path=/
Set-Cookie: TLTSID=C40213474CD29F4B63FB709362EB8CEF; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:28:10 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET


Then 

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 5_0 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A334 Safari/7534.48.3

HTTP/1.1 302 Found
Cache-Control: no-cache
Content-Length: 160
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:28:17 GMT
Expires: -1
Location: /en/messages/mobile-interstitial.aspx
Pragma: no-cache
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:28:17 GMT; path=/
Set-Cookie: ASP.NET_SessionId=ympxp3vndiizrd55031pn545; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=2A8579F44229CE8FC97B918FD730F92F; Path=/; Domain=.txu.com
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:28:17 GMT; path=/
Set-Cookie: ASP.NET_SessionId=ympxp3vndiizrd55031pn545; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=2A8579F44229CE8FC97B918FD730F92F; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:28:17 AM; domain=.txu.com; path=/
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET


And Then

GET /en/messages/mobile-interstitial.aspx HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Mozilla/5.0 (iPhone; CPU iPhone OS 5_0 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A334 Safari/7534.48.3

HTTP/1.1 200 OK
Cache-Control: no-cache, no-store
Content-Length: 7229
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:28:39 GMT
Expires: -1
Pragma: no-cache
Set-Cookie: mobileweb#lang=en; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:28:40 GMT; path=/
Set-Cookie: ASP.NET_SessionId=mudilhrzup3do25523t45srl; domain=.txu.com; path=/; HttpOnly
Set-Cookie: iPhone App Notify=; domain=.txu.com; expires=Tue, 05-Nov-2013 15:48:40 GMT; path=/
Set-Cookie: TLTSID=8ED8DC1F4B73F0D87E34F39E83246A6B; Path=/; Domain=.txu.com
Set-Cookie: mobileweb#lang=en; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:28:40 GMT; path=/
Set-Cookie: ASP.NET_SessionId=mudilhrzup3do25523t45srl; domain=.txu.com; path=/; HttpOnly
Set-Cookie: iPhone App Notify=; domain=.txu.com; expires=Tue, 05-Nov-2013 15:48:40 GMT; path=/
Set-Cookie: TLTSID=8ED8DC1F4B73F0D87E34F39E83246A6B; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:28:40 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET


==========================================================================================================
# Opera Mobile (Presto) on Android
(redirected to mobile site with android interstitial and mime type text/html)

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.txu.com
User-Agent: Opera/12.02 (Android 4.1; Linux; Opera Mobi/ADR-1111101157; U; en-US) Presto/2.9.201 Version/12.02

HTTP/1.1 302 Found
Cache-Control: private
Content-Length: 134
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:30:16 GMT
Location: http://m.txu.com/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:55:16 GMT; path=/
Set-Cookie: TLTSID=25B49DA24A1F2EEC5BEEE6B72F7E6F3F; Path=/; Domain=.txu.com
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:55:16 GMT; path=/
Set-Cookie: TLTSID=25B49DA24A1F2EEC5BEEE6B72F7E6F3F; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:30:16 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET


Then 

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Opera/12.02 (Android 4.1; Linux; Opera Mobi/ADR-1111101157; U; en-US) Presto/2.9.201 Version/12.02

HTTP/1.1 302 Found
Cache-Control: no-cache
Content-Length: 168
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:30:23 GMT
Expires: -1
Location: /en/messages/mobile-android-interstitial.aspx
Pragma: no-cache
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:30:23 GMT; path=/
Set-Cookie: ASP.NET_SessionId=blf1io45e1wvjw45w20tq445; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=1E20AD4945755531E450AD9BFB1358AF; Path=/; Domain=.txu.com
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:30:23 GMT; path=/
Set-Cookie: ASP.NET_SessionId=blf1io45e1wvjw45w20tq445; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=1E20AD4945755531E450AD9BFB1358AF; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:30:23 AM; domain=.txu.com; path=/
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET


And then 

GET /en/messages/mobile-android-interstitial.aspx HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Opera/12.02 (Android 4.1; Linux; Opera Mobi/ADR-1111101157; U; en-US) Presto/2.9.201 Version/12.02

HTTP/1.1 200 OK
Cache-Control: no-cache, no-store
Content-Length: 7326
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:30:41 GMT
Expires: -1
Pragma: no-cache
Set-Cookie: mobileweb#lang=en; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:30:42 GMT; path=/
Set-Cookie: ASP.NET_SessionId=fluwrx55nvcjacn31gcam445; domain=.txu.com; path=/; HttpOnly
Set-Cookie: iPhone App Notify=; domain=.txu.com; expires=Tue, 05-Nov-2013 15:50:42 GMT; path=/
Set-Cookie: TLTSID=7BC032AD450B60EE0F314AA5BCFC8EFA; Path=/; Domain=.txu.com
Set-Cookie: mobileweb#lang=en; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:30:42 GMT; path=/
Set-Cookie: ASP.NET_SessionId=fluwrx55nvcjacn31gcam445; domain=.txu.com; path=/; HttpOnly
Set-Cookie: iPhone App Notify=; domain=.txu.com; expires=Tue, 05-Nov-2013 15:50:42 GMT; path=/
Set-Cookie: TLTSID=7BC032AD450B60EE0F314AA5BCFC8EFA; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:30:42 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET

==========================================================================================================
# Opera Mini
(redirected to Mobile site with android interstitial and WAP mime type)


GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.txu.com
User-Agent: Opera/9.80 (Android; Opera Mini/7.29530/27.1407; U; en) Presto/2.8.119 Version/11.10

HTTP/1.1 302 Found
Cache-Control: private
Content-Length: 134
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:34:27 GMT
Location: http://m.txu.com/
Set-Cookie: website#sc_wede=1; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:59:28 GMT; path=/
Set-Cookie: TLTSID=AA7A880541F5EA2E076FE9A24A944BF8; Path=/; Domain=.txu.com
Set-Cookie: website#sc_wede=1; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=true; domain=.txu.com; expires=Tue, 05-Nov-2013 15:59:28 GMT; path=/
Set-Cookie: TLTSID=AA7A880541F5EA2E076FE9A24A944BF8; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:34:28 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET


Then

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Opera/9.80 (Android; Opera Mini/7.29530/27.1407; U; en) Presto/2.8.119 Version/11.10

HTTP/1.1 302 Found
Cache-Control: no-cache
Content-Length: 168
Content-Type: application/vnd.wap.xhtml+xml; charset=utf-8
Date: Tue, 05 Nov 2013 15:35:02 GMT
Expires: -1
Location: /en/messages/mobile-android-interstitial.aspx
Pragma: no-cache
Set-Cookie: mobileweb#sc_wede=1; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:35:02 GMT; path=/
Set-Cookie: ASP.NET_SessionId=whjpmf553grc1nbcljwale45; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=29C8FE884B17BC51493773BBAB77A2E8; Path=/; Domain=.txu.com
Set-Cookie: mobileweb#sc_wede=1; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:35:02 GMT; path=/
Set-Cookie: ASP.NET_SessionId=whjpmf553grc1nbcljwale45; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=29C8FE884B17BC51493773BBAB77A2E8; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:35:02 AM; domain=.txu.com; path=/
X-AspNet-Version: 2.0.50727
X-Powered-By: ASP.NET


Then

GET /en/messages/mobile-android-interstitial.aspx HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.txu.com
User-Agent: Opera/9.80 (Android; Opera Mini/7.29530/27.1407; U; en) Presto/2.8.119 Version/11.10

HTTP/1.1 200 OK
Cache-Control: no-cache, no-store
Content-Length: 6754
Content-Type: application/vnd.wap.xhtml+xml; charset=utf-8
Date: Tue, 05 Nov 2013 15:35:19 GMT
Expires: -1
Pragma: no-cache
Set-Cookie: mobileweb#sc_wede=1; domain=.txu.com; path=/
Set-Cookie: mobileweb#lang=en; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:35:20 GMT; path=/
Set-Cookie: ASP.NET_SessionId=oa3tel55eohyz1ax3klnxg45; domain=.txu.com; path=/; HttpOnly
Set-Cookie: iPhone App Notify=; domain=.txu.com; expires=Tue, 05-Nov-2013 15:55:20 GMT; path=/
Set-Cookie: TLTSID=6EB9787D444D05B51CA29C96CE44D5A8; Path=/; Domain=.txu.com
Set-Cookie: mobileweb#sc_wede=1; domain=.txu.com; path=/
Set-Cookie: mobileweb#lang=en; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:35:20 GMT; path=/
Set-Cookie: ASP.NET_SessionId=oa3tel55eohyz1ax3klnxg45; domain=.txu.com; path=/; HttpOnly
Set-Cookie: iPhone App Notify=; domain=.txu.com; expires=Tue, 05-Nov-2013 15:55:20 GMT; path=/
Set-Cookie: TLTSID=6EB9787D444D05B51CA29C96CE44D5A8; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:35:20 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET



==========================================================================================================
# FooBar/1.0
Just here to show that a random string gives a 200 OK to the desktop site.


GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.txu.com
User-Agent: FooBar/1.0

HTTP/1.1 200 OK
Cache-Control: no-cache, no-store
Content-Length: 79671
Content-Type: text/html; charset=utf-8
Date: Tue, 05 Nov 2013 15:16:51 GMT
Expires: -1
Pragma: no-cache
Set-Cookie: website#sc_wede=1; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:16:52 GMT; path=/
Set-Cookie: ASP.NET_SessionId=zvodasieydtubib41rue0u55; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=0F24B1484953E62846398D9E3E09FED1; Path=/; Domain=.txu.com
Set-Cookie: website#sc_wede=1; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; path=/
Set-Cookie: MobilePreference=; domain=.txu.com; expires=Mon, 04-Nov-2013 15:16:52 GMT; path=/
Set-Cookie: ASP.NET_SessionId=zvodasieydtubib41rue0u55; domain=.txu.com; path=/; HttpOnly
Set-Cookie: TLTSID=0F24B1484953E62846398D9E3E09FED1; Path=/; Domain=.txu.com; path=/
Set-Cookie: .ASPXAUTH_SLIDING=11/5/2013 9:16:52 AM; domain=.txu.com; path=/
X-Powered-By: ASP.NET
==========================================================================================================
Whiteboard: [serversniff] [country-us]
Whiteboard: [serversniff] [country-us] → [serversniff] [country-us] [contactready]
They have a contact us page 
http://www.txu.com/en/contact.aspx?WT.z_navigation=MegaNav_RES_A_GetHelp_Contactus&WT.z_homepage=MegaNav_ContactUs

The executive feedback proposes web site issues
http://www.txu.com/en/contact/email-form.aspx?requestloc=executive

Site contacted. Form had strange restrictions on characters input.
Assignee: nobody → kdubost
Status: NEW → ASSIGNED
We didn't get any answers.
See Also: → 941241
Whiteboard: [serversniff] [country-us] [contactready] → [serversniff] [country-us] [sitewait]
This person could be the right person to contact.
https://www.linkedin.com/pub/hugo-vigil/a0/92/4b6

> Work closely with Online Marketing and IT to improve and 
> enhance the website and maintain its performance. Manage 
> and mitigate defects affecting TXU.com and TXU customers' 
> MyAccount portal by performing in depth troubleshooting 
> analysis to find root cause. Perform User Acceptance Testing 
> in staging and preproduction environments for all web defect 
> fixes prior to being released into production. Help monitor 
> TXU.com's website availability. Assist with implementation 
> of website enhancements for TXU.com by performing pre/post-
> release testing.
Tried to ping their social media account
http://twitter.com/MozWebCompat/status/536787111928541186
Contacted them today on their email: 

> @MozWebCompat Please email your contact information to SocialMedia@txu.com and Hugo will contact you.

With:

> Hi,
>
> This is a followup on the contact attempt on twitter. Thanks for replying.
> http://twitter.com/txuenergy/status/536911165347987457
> 
> We, Mozilla, have recorded a bug about TXU Web site. 
> The bug is fully described at https://bugzilla.mozilla.org/show_bug.cgi?id=934857
> 
> We think that Hugo Vigil might be the right person for helping us 
> solve this on TXU Web site. Note that the bug doesn't affect only 
> Firefox but also a number of other browsers. Comments on the bug 
> itself are more than welcome.
> 
> Thanks a lot.
OK this issue is solved. We receive now the Web site for mobile on Firefox Android and Firefox OS.

BUT the UA detection is so precise that we get now the desktop site for Firefox Android with a version number. 

Opened https://webcompat.com/issues/1473
Status: ASSIGNED → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
One step forward, one step back. :)
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.